/*
 * UNIVERSITE PARIS 1 (PANTHEON SORBONNE)
 * MIAGE - UFR 27
 * Cours ISI5 / INF2 - Developpement d'Interface
 */

package ihmexamples;

import java.util.Scanner;
import java.util.InputMismatchException;

/**
 * Outil de conversion Celsius - Fahreneit
 * @author kirsch
 */
public class CelsiusConverter {

    static double convertCtoF (double celc) {
        return (celc*9)/5 + 32;
    }

    static double readTemperature () {
        double celc = 0;
        Scanner in = new Scanner (System.in);

        System.out.println ("Temperature (° C) : ");

        try {
            celc = in.nextDouble();
        } catch (InputMismatchException ipe) {
            System.out.println("Sorry! I'm waiting for a float number.");
        }

        return celc;
    }

    static void showTemperature (double fahr) {
        System.out.printf("Temperature (° F) : %.2f \n", fahr);
    }

    /**
     * Conversion entre Celsius et Fahrneit
     * @param args pas d'argument sur la ligne de commande
     */
    public static void main(String[] args) {
        double celc, fahr;

        celc = readTemperature();
        fahr = convertCtoF(celc);
        showTemperature(fahr);
    }
}
